Main Page Data Structures File List Data Fields Globals Related Pages

# clib/RTXAPI.H File Reference

Go to the source code of this file.

## Data Structures
struct | tag_rtx_event_wait
struct | tag_rtx_msg
struct | tag_rtx_wait_msg
struct | tag_task_statedata
struct | tag_taskdefblock
struct | tag_time
struct | tag_timer_proc
struct | tagtasklist
## Defines
#define | RTX_SLEEP_TIME 0x00
#define | RTX_TASK_CREATE 0x01
#define | RTX_TASK_KILL 0x02
#define | RTX_TASK_DELETE 0x03
#define | RTX_GET_TASKID 0x04
#define | RTX_SLEEP_REQ 0x05
#define | RTX_WAKEUP_TASK 0x06
#define | RTX_END_EXEC 0x07
#define | RTX_CHANGE_PRIO 0x08
#define | RTX_ACCESS_FILESYSTEM 0x09
#define | RTX_GET_TASK_STATE 0x0A
#define | RTX_GET_TASK_LIST 0x0B
#define | RTX_START_TASK_MONITOR 0x0C
#define | RTX_STOP_TASK_MONITOR 0x0D
#define | RTX_SUSPEND_TASK 0x0E
#define | RTX_RESUME_TASK 0x0F
#define | RTX_RESTART_TASK 0x10
#define | RTX_TASK_CREATE_WITHOUT_RUN 0x11
#define | RTX_GET_TASK_STATE_EXT 0x12
#define | RTX_DISABLE_TASK_SCHEDULING 0x20
#define | RTX_ENABLE_TASK_SCHEDULING 0x21
#define | RTX_CREATE_SEM 0x14
#define | RTX_DELETE_SEM 0x15
#define | RTX_FREE_RES 0x16
#define | RTX_GET_SEM 0x17
#define | RTX_RELEASE_SEM 0x18
#define | RTX_RESERVE_RES 0x19
#define | RTX_SIGNAL_SEM 0x1A
#define | RTX_WAIT_SEM 0x1B
#define | RTX_FIND_SEM 0x1C
#define | RTX_GET_TIMEDATE 0x28
#define | RTX_SET_TIMEDATE 0x29
#define | RTX_GET_TICKS 0x2A
#define | RTX_INSTALL_TIMER 0x30
#define | RTX_REMOVE_TIMER 0x31
#define | RTX_START_TIMER 0x32
#define | RTX_STOP_TIMER 0x33
#define | RTX_CREATE_EVENTGROUP 0x40
#define | RTX_DELETE_EVENTGROUP 0x41
#define | RTX_SIGNAL_EVENTS 0x42
#define | RTX_WAIT_EVENTS 0x43
#define | RTX_GET_EVENTGROUP_STATE 0x44
#define | RTX_GET_EVENT_FLAGS 0x45
#define | RTX_FIND_EVENTGROUP 0x46
#define | RTX_CREATE_MSG 0x50
#define | RTX_DELETE_MSG 0x51
#define | RTX_SEND_MSG 0x52
#define | RTX_GET_MSG 0x53
#define | RTX_WAIT_MSG 0x54
#define | RTX_FIND_MSG 0x55
#define | RTX_ENOERROR 0
#define | RTX_ERROR -1
#define | RTX_NOT_SUPPORTED -2
## Typedefs
typedef unsigned int | RTOS_ID
typedef tag_taskdefblock | TaskDefBlock
typedef tagtasklist | TaskList
typedef tag_task_statedata | Task_StateData
typedef tag_time | TimeDate_Structure
typedef tag_timer_proc | TimerProc_Structure
typedef tag_rtx_event_wait | RTX_Wait_Event
typedef tag_rtx_msg | RTX_Msg
typedef tag_rtx_wait_msg | RTX_Wait_Msg

## Define Documentation

#define RTX_ACCESS_FILESYSTEM 0x09

| Definition at line 70 of file RTXAPI.H. Referenced by RTX_Access_Filesystem().

#define RTX_CHANGE_PRIO 0x08

| Definition at line 69 of file RTXAPI.H. Referenced by RTX_Change_TaskPrio().

#define RTX_CREATE_EVENTGROUP 0x40

| Definition at line 111 of file RTXAPI.H. Referenced by RTX_Create_EventGroup().

#define RTX_CREATE_MSG 0x50

| Definition at line 123 of file RTXAPI.H. Referenced by RTX_Create_Msg().

#define RTX_CREATE_SEM 0x14

| Definition at line 85 of file RTXAPI.H. Referenced by RTX_Create_Sem().

#define RTX_DELETE_EVENTGROUP 0x41

| Definition at line 112 of file RTXAPI.H. Referenced by RTX_Delete_EventGroup().

#define RTX_DELETE_MSG 0x51

| Definition at line 124 of file RTXAPI.H. Referenced by RTX_Delete_Msg().

#define RTX_DELETE_SEM 0x15

| Definition at line 86 of file RTXAPI.H. Referenced by RTX_Delete_Sem().

#define RTX_DISABLE_TASK_SCHEDULING 0x20

| Definition at line 80 of file RTXAPI.H. Referenced by RTX_Disable_Task_Scheduling().

#define RTX_ENABLE_TASK_SCHEDULING 0x21

| Definition at line 81 of file RTXAPI.H. Referenced by RTX_Enable_Task_Scheduling().

#define RTX_END_EXEC 0x07

| Definition at line 68 of file RTXAPI.H. Referenced by RTX_End_Execution().

#define RTX_ENOERROR 0

| Definition at line 134 of file RTXAPI.H.

#define RTX_ERROR -1

| Definition at line 135 of file RTXAPI.H.

#define RTX_FIND_EVENTGROUP 0x46

| Definition at line 117 of file RTXAPI.H. Referenced by RTX_Find_EventGroup().

#define RTX_FIND_MSG 0x55

| Definition at line 128 of file RTXAPI.H. Referenced by RTX_Find_Msg().

#define RTX_FIND_SEM 0x1C

| Definition at line 93 of file RTXAPI.H. Referenced by RTX_Find_Sem().

#define RTX_FREE_RES 0x16

| Definition at line 87 of file RTXAPI.H. Referenced by RTX_Free_Sem().

#define RTX_GET_EVENT_FLAGS 0x45

| Definition at line 116 of file RTXAPI.H. Referenced by RTX_Get_Saved_Events().

#define RTX_GET_EVENTGROUP_STATE 0x44

| Definition at line 115 of file RTXAPI.H. Referenced by RTX_Get_EventGroup_State().

#define RTX_GET_MSG 0x53

| Definition at line 126 of file RTXAPI.H. Referenced by RTX_Get_Msg().

#define RTX_GET_SEM 0x17

| Definition at line 88 of file RTXAPI.H. Referenced by RTX_Get_Sem().

#define RTX_GET_TASK_LIST 0x0B

| Definition at line 72 of file RTXAPI.H. Referenced by RTX_Get_Task_List().

#define RTX_GET_TASK_STATE 0x0A

| Definition at line 71 of file RTXAPI.H. Referenced by RTX_Get_Task_State().

#define RTX_GET_TASK_STATE_EXT 0x12

| Definition at line 79 of file RTXAPI.H. Referenced by RTX_Get_Task_State_Ext().

#define RTX_GET_TASKID 0x04

| Definition at line 65 of file RTXAPI.H. Referenced by RTX_Get_TaskID().

#define RTX_GET_TICKS 0x2A

| Definition at line 99 of file RTXAPI.H. Referenced by RTX_Get_System_Ticks().

#define RTX_GET_TIMEDATE 0x28

| Definition at line 97 of file RTXAPI.H. Referenced by RTX_Get_TimeDate().

#define RTX_INSTALL_TIMER 0x30

| Definition at line 103 of file RTXAPI.H. Referenced by RTX_Install_Timer().

#define RTX_NOT_SUPPORTED -2

| Definition at line 136 of file RTXAPI.H.

#define RTX_RELEASE_SEM 0x18

| Definition at line 89 of file RTXAPI.H. Referenced by RTX_Release_Sem().

#define RTX_REMOVE_TIMER 0x31

| Definition at line 104 of file RTXAPI.H. Referenced by RTX_Remove_Timer().

#define RTX_RESERVE_RES 0x19

| Definition at line 90 of file RTXAPI.H. Referenced by RTX_Reserve_Sem().

#define RTX_RESTART_TASK 0x10

| Definition at line 77 of file RTXAPI.H. Referenced by RTX_Restart_Task().

#define RTX_RESUME_TASK 0x0F

| Definition at line 76 of file RTXAPI.H. Referenced by RTX_Resume_Task().

#define RTX_SEND_MSG 0x52

| Definition at line 125 of file RTXAPI.H. Referenced by RTX_Send_Msg().

#define RTX_SET_TIMEDATE 0x29

| Definition at line 98 of file RTXAPI.H. Referenced by RTX_Set_TimeDate().

#define RTX_SIGNAL_EVENTS 0x42

| Definition at line 113 of file RTXAPI.H. Referenced by RTX_Signal_Events().

#define RTX_SIGNAL_SEM 0x1A

| Definition at line 91 of file RTXAPI.H. Referenced by RTX_Signal_Sem().

#define RTX_SLEEP_REQ 0x05

| Definition at line 66 of file RTXAPI.H. Referenced by RTX_Sleep_Request().

#define RTX_SLEEP_TIME 0x00

| Definition at line 61 of file RTXAPI.H. Referenced by RTX_Sleep_Time().

#define RTX_START_TASK_MONITOR 0x0C

| Definition at line 73 of file RTXAPI.H. Referenced by RTX_Start_Task_Monitor().

#define RTX_START_TIMER 0x32

| Definition at line 105 of file RTXAPI.H. Referenced by RTX_Start_Timer().

#define RTX_STOP_TASK_MONITOR 0x0D

| Definition at line 74 of file RTXAPI.H. Referenced by RTX_Stop_Task_Monitor().

#define RTX_STOP_TIMER 0x33

| Definition at line 106 of file RTXAPI.H. Referenced by RTX_Stop_Timer().

#define RTX_SUSPEND_TASK 0x0E

| Definition at line 75 of file RTXAPI.H. Referenced by RTX_Suspend_Task().

#define RTX_TASK_CREATE 0x01

| Definition at line 62 of file RTXAPI.H. Referenced by RTX_Create_Task().

#define RTX_TASK_CREATE_WITHOUT_RUN 0x11

| Definition at line 78 of file RTXAPI.H. Referenced by RTX_Create_Task_Without_Run().

#define RTX_TASK_DELETE 0x03

| Definition at line 64 of file RTXAPI.H. Referenced by RTX_Delete_Task().

#define RTX_TASK_KILL 0x02

| Definition at line 63 of file RTXAPI.H. Referenced by RTX_Kill_Task().

#define RTX_WAIT_EVENTS 0x43

| Definition at line 114 of file RTXAPI.H. Referenced by RTX_Wait_For_Event().

#define RTX_WAIT_MSG 0x54

| Definition at line 127 of file RTXAPI.H. Referenced by RTX_Wait_For_Msg().

#define RTX_WAIT_SEM 0x1B

| Definition at line 92 of file RTXAPI.H. Referenced by RTX_Wait_Sem().

#define RTX_WAKEUP_TASK 0x06

| Definition at line 67 of file RTXAPI.H. Referenced by RTX_Wakeup().

## Typedef Documentation

typedef unsigned int RTOS_ID

| Definition at line 144 of file RTXAPI.H.

typedef struct tag_rtx_msg RTX_Msg

typedef struct tag_rtx_event_wait RTX_Wait_Event

typedef struct tag_rtx_wait_msg RTX_Wait_Msg

typedef struct tag_task_statedata Task_StateData

typedef struct tag_taskdefblock TaskDefBlock

typedef struct tagtasklist TaskList

typedef struct tag_time TimeDate_Structure

typedef struct tag_timer_proc TimerProc_Structure